### Method

# Foundry GirNode list_children_typed

#### Declaration [src]

    FoundryGirNode**
    foundry_gir_node_list_children_typed (
      FoundryGirNode* node,
      FoundryGirNodeType type,
      guint* n_nodes
    )

#### Description [src]

Collects all of the children that match `type`.

The result is an array of borrowed pointers to children nodes. In C that means you free the resulting pointer but not the nodes within it.

    guint n_nodes = 0;
    g_autofree FoundryGirNode **nodes = foundry_gir_node_list_children_typed (parent, type, &n_nodes);

#### Parameters

`type`

  Type: `FoundryGirNodeType`

  The type of node to collect.

`n_nodes`

  Type: `guint*`

  Location for number of nodes that matched.

  The argument will be set by the function.

#### Return value

Type: An array of `FoundryGirNode*`

No description available.

The length of the array is in the `n_nodes` argument.
The caller of the method takes ownership of the returned data container, but not the data inside it.
The return value can be `NULL`.